Qwt User's Guide: QwtScaleDiv Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
QwtScaleDiv Class Reference

A class representing a scale division. More...

`#include <qwt_scale_div.h>`

## Public Types
enum | TickType { NoTick = -1 , MinorTick , MediumTick , MajorTick , NTickTypes }
| Scale tick types. More...

## Public Member Functions
| QwtScaleDiv (double lowerBound=0.0, double upperBound=0.0)
| QwtScaleDiv (const QwtInterval &, QList< double >[NTickTypes])
| QwtScaleDiv (double lowerBound, double upperBound, QList< double >[NTickTypes])
| QwtScaleDiv (double lowerBound, double upperBound, const QList< double > &minorTicks, const QList< double > &mediumTicks, const QList< double > &majorTicks)
bool | operator== (const QwtScaleDiv &) const
| Equality operator.
bool | operator!= (const QwtScaleDiv &) const
| Inequality.
void | setInterval (double lowerBound, double upperBound)
void | setInterval (const QwtInterval &)
QwtInterval | interval () const
void | setLowerBound (double)
double | lowerBound () const
void | setUpperBound (double)
double | upperBound () const
double | range () const
bool | contains (double value) const
void | setTicks (int tickType, const QList< double > &)
QList< double > | ticks (int tickType) const
bool | isEmpty () const
| Check if the scale division is empty( lowerBound() == upperBound() )
bool | isIncreasing () const
| Check if the scale division is increasing( lowerBound() <= upperBound() )
void | invert ()
QwtScaleDiv | inverted () const
QwtScaleDiv | bounded (double lowerBound, double upperBound) const

## Detailed Description

A class representing a scale division.

A Qwt scale is defined by its boundaries and 3 list for the positions of the major, medium and minor ticks.

The upperBound() might be smaller than the lowerBound() to indicate inverted scales.

Scale divisions can be calculated from a QwtScaleEngine.

See also
  QwtScaleEngine::divideScale(), QwtPlot::setAxisScaleDiv(), QwtAbstractSlider::setScaleDiv()

Definition at line 33 of file qwt_scale_div.h.

## Member Enumeration Documentation

## ◆ TickType

enum QwtScaleDiv::TickType

Scale tick types.

Enumerator
NoTick | No ticks.
MinorTick | Minor ticks.
MediumTick | Medium ticks.
MajorTick | Major ticks.
NTickTypes | Number of valid tick types.

Definition at line 37 of file qwt_scale_div.h.

## Constructor & Destructor Documentation

## ◆ QwtScaleDiv() [1/4]

QwtScaleDiv::QwtScaleDiv | ( | double | lowerBound = 0.0,
|  | double | upperBound = 0.0 )
| explicit

Construct a division without ticks

Parameters

  lowerBound | First boundary
  upperBound | Second boundary

Note
  lowerBound might be greater than upperBound for inverted scales

Definition at line 21 of file qwt_scale_div.cpp.

## ◆ QwtScaleDiv() [2/4]

QwtScaleDiv::QwtScaleDiv | ( | const QwtInterval & | interval,
|  | QList< double > | ticks[NTickTypes] )
| explicit

Construct a scale division

Parameters

  interval | Interval
  ticks | List of major, medium and minor ticks

Definition at line 33 of file qwt_scale_div.cpp.

## ◆ QwtScaleDiv() [3/4]

QwtScaleDiv::QwtScaleDiv | ( | double | lowerBound,
|  | double | upperBound,
|  | QList< double > | ticks[NTickTypes] )
| explicit

Construct a scale division

Parameters

  lowerBound | First boundary
  upperBound | Second boundary
  ticks | List of major, medium and minor ticks

Note
  lowerBound might be greater than upperBound for inverted scales

Definition at line 51 of file qwt_scale_div.cpp.

## ◆ QwtScaleDiv() [4/4]

QwtScaleDiv::QwtScaleDiv | ( | double | lowerBound,
|  | double | upperBound,
|  | const QList< double > & | minorTicks,
|  | const QList< double > & | mediumTicks,
|  | const QList< double > & | majorTicks )
| explicit

Construct a scale division

Parameters

  lowerBound | First boundary
  upperBound | Second boundary
  minorTicks | List of minor ticks
  mediumTicks | List medium ticks
  majorTicks | List of major ticks

Note
  lowerBound might be greater than upperBound for inverted scales

Definition at line 71 of file qwt_scale_div.cpp.

## Member Function Documentation

## ◆ bounded()

QwtScaleDiv QwtScaleDiv::bounded | ( | double | lowerBound,
|  | double | upperBound ) const

Return a scale division with an interval [lowerBound, upperBound] where all ticks outside this interval are removed

Parameters

  lowerBound | Lower bound
  upperBound | Upper bound

Returns
  Scale division with all ticks inside of the given interval

Note
  lowerBound might be greater than upperBound for inverted scales

Definition at line 263 of file qwt_scale_div.cpp.

## ◆ contains()

bool QwtScaleDiv::contains | ( | double | value | ) | const

Return if a value is between lowerBound() and upperBound()

Parameters

  value | Value

Returns
  true/false

Definition at line 212 of file qwt_scale_div.cpp.

## ◆ interval()

QwtInterval QwtScaleDiv::interval | ( |  | ) | const

Returns
  lowerBound -> upperBound

Definition at line 111 of file qwt_scale_div.cpp.

## ◆ invert()

void QwtScaleDiv::invert | ( |  | ) |

Invert the scale division

See also
  inverted()

Definition at line 224 of file qwt_scale_div.cpp.

## ◆ inverted()

QwtScaleDiv QwtScaleDiv::inverted | ( |  | ) | const

Returns
  A scale division with inverted boundaries and ticks

See also
  invert()

Definition at line 244 of file qwt_scale_div.cpp.

## ◆ isEmpty()

bool QwtScaleDiv::isEmpty | ( |  | ) | const

Check if the scale division is empty( lowerBound() == upperBound() )

Definition at line 195 of file qwt_scale_div.cpp.

## ◆ isIncreasing()

bool QwtScaleDiv::isIncreasing | ( |  | ) | const

Check if the scale division is increasing( lowerBound() <= upperBound() )

Definition at line 201 of file qwt_scale_div.cpp.

## ◆ lowerBound()

double QwtScaleDiv::lowerBound | ( |  | ) | const

Returns
  First boundary

See also
  upperBound()

Definition at line 131 of file qwt_scale_div.cpp.

## ◆ operator!=()

bool QwtScaleDiv::operator!= | ( | const QwtScaleDiv & | other | ) | const

Inequality.

Returns
  true if this instance is not equal to other

Definition at line 189 of file qwt_scale_div.cpp.

## ◆ operator==()

bool QwtScaleDiv::operator== | ( | const QwtScaleDiv & | other | ) | const

Equality operator.

Returns
  true if this instance is equal to other

Definition at line 168 of file qwt_scale_div.cpp.

## ◆ range()

double QwtScaleDiv::range | ( |  | ) | const

Returns
  upperBound() - lowerBound()

Definition at line 159 of file qwt_scale_div.cpp.

## ◆ setInterval() [1/2]

void QwtScaleDiv::setInterval | ( | const QwtInterval & | interval | ) |

Change the interval

Parameters

  interval | Interval

Definition at line 102 of file qwt_scale_div.cpp.

## ◆ setInterval() [2/2]

void QwtScaleDiv::setInterval | ( | double | lowerBound,
|  | double | upperBound )

Change the interval

Parameters

  lowerBound | First boundary
  upperBound | Second boundary

Note
  lowerBound might be greater than upperBound for inverted scales

Definition at line 91 of file qwt_scale_div.cpp.

## ◆ setLowerBound()

void QwtScaleDiv::setLowerBound | ( | double | lowerBound | ) |

Set the first boundary

Parameters

  lowerBound | First boundary

See also
  lowerBound(), setUpperBound()

Definition at line 122 of file qwt_scale_div.cpp.

## ◆ setTicks()

void QwtScaleDiv::setTicks | ( | int | tickType,
|  | const QList< double > & | ticks )

Assign ticks

Parameters

  tickType | MinorTick, MediumTick or MajorTick
  ticks | Values of the tick positions

Definition at line 297 of file qwt_scale_div.cpp.

## ◆ setUpperBound()

void QwtScaleDiv::setUpperBound | ( | double | upperBound | ) |

Set the second boundary

Parameters

  upperBound | Second boundary

See also
  upperBound(), setLowerBound()

Definition at line 142 of file qwt_scale_div.cpp.

## ◆ ticks()

QList< double > QwtScaleDiv::ticks | ( | int | tickType | ) | const

Return a list of ticks

Parameters

  tickType | MinorTick, MediumTick or MajorTick

Returns
  Tick list

Definition at line 309 of file qwt_scale_div.cpp.

## ◆ upperBound()

double QwtScaleDiv::upperBound | ( |  | ) | const

Returns
  upper bound

See also
  lowerBound()

Definition at line 151 of file qwt_scale_div.cpp.